Page MenuHomePhabricator

Communication: Employer Name field is returning blank values
Closed, ResolvedPublic

Description

The field we are using to capture donor input (Employer Name) during the test is returning blank values.

I have done a few searches and with each search the number of donors civi returns increases. Right now it returns 176 contacts.

Here is how I searched:
Search --> Search Builder

When I export those contacts all of the Employer Name fields are blank with the exception of the test donation Monsters Inc. I've also noticed that a lot of these donors have not made a recent donation either.

I'll need to be able to pull this list for research and analytics.

Event Timeline

NNichols created this task.Jul 2 2019, 2:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 2 2019, 2:20 PM
DStrine removed DStrine as the assignee of this task.Jul 2 2019, 3:47 PM
DStrine added a subscriber: DStrine.
mepps added a subscriber: mepps.Jul 3 2019, 8:01 PM

We talked about this in fortnightly today. @NNichols If you search for Communication:Employer Name Regex [a-zA-Z] that will return only those with values. (Not Empty works too but is slow.)

@NNichols Please let us know if the last comment works. If you have a method to search, I feel we can close this.

@mepps Not Empty is really slow but thank you for giving me the option!
@DStrine good to close.

DStrine closed this task as Resolved.Jul 9 2019, 12:51 AM